import { jsx } from "react/jsx-runtime";
import { TokenCTK as TokenCTK$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCTK = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CTK", "data-name": "TokenCTK", ...props, children: /* @__PURE__ */ jsx(TokenCTK$1, { variant }) });
  }
);
TokenCTK.displayName = "TokenCTK";
Object.assign(TokenCTK, { isGdsIcon: true });
export {
  TokenCTK
};
